import { O as i, m as t, p as a, bf as l } from "./App-4f8b3c63.mjs";
import "@emotion/react";
import "react";
import "react-dom";
import "@emotion/styled";
import "@feedloop/formula-editor";
import "@feedloop/expression-parser";
function d({
  provider: e,
  callback: r
}) {
  const o = i.useClient();
  return /* @__PURE__ */ t("a", {
    href: `${o.project.axios.defaults.baseURL}/v1/login/${e.provider_name}?callback=${r}`,
    children: /* @__PURE__ */ t(a, {
      colorScheme: "blue",
      leftIcon: /* @__PURE__ */ t(l, {}),
      width: "full",
      children: "Azure"
    })
  });
}
export {
  d as default
};
